
const int DefaultBufferSize = 1024 * 1024* 4;

struct MySqlHelper
{
	MYSQL* mysql;
	static FILE* log;

	bool init(MYSQL* mySqlPtr);
	bool doFetchResult(const char* statement, MYSQL_RES*& res);
	void assembleEscapeStr(char* dest, const char* src, int srcSize, int& firstLength);
	
	bool fetchData(int id, LPBYTE& imagePtr, DWORD& imageSize);
	
	bool updateInt(int id, int data, char* field, char* table="mypicture");
	bool updateBinary(int id, LPBYTE data, int size, char* field, char* table="mypicture");
	bool saveToFile(int id);
	bool saveToFile(TCHAR* fileName);

	bool doSaveToFile(LPBYTE imagePtr, DWORD imageSize);
	bool doInsertPicture(LPCTSTR fullName, const LPBYTE pImage, DWORD picSize);
	~MySqlHelper();

};

